# Interface SerialFieldTree

All Superinterfaces:
  `BlockTagTree, DocTree`

public interface SerialFieldTree extends BlockTagTree
A tree node for an `@serialField` block tag.

       @serialField field-name field-type field-description

Since:
  1.8

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`
Modifier and Type
Interface
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getDescription()`
Returns the description of the serial field.
`IdentifierTree`
`getName()`
Returns the name of the serial field.
`ReferenceTree`
`getType()`
Returns the type of the serial field.

### Methods declared in interface BlockTagTree

`getTagName`
Modifier and Type
Method
Description
`String`
`getTagName()`
Returns the name of the tag.

### Methods declared in interface DocTree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(DocTreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`DocTree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getName

IdentifierTree getName()
Returns the name of the serial field.

Returns:
  the name of the serial field

### getType

ReferenceTree getType()
Returns the type of the serial field.

Returns:
  the type of the serial field

### getDescription

List<? extends DocTree> getDescription()
Returns the description of the serial field.

Returns:
  the description of the serial field